# Copyright 2020 Jedson Technologies
# Licensed under the MIT license
#
#	Version 1.0.0 - 2020APR26	- Initial release
#
#	Version 1.0.1 - 2020APR29	- Modified user text prompt (added current 'radius' and 'segment' count)
#
#	Version 1.0.2 - 2020MAY05	- User can now adjust the radius or segment count after an operation is completed
#
# Version 1.0.3 - 2020MAY09	- Properly accepts dimensions suffixed to override model units
#
#	Version 1.0.4 - 2020MAY13	- Added dialog to adjust 'radius' and 'segment' count via Context Menu
#
# Version 1.0.5 - 2020MAY18	- Now uses registry to save and retrieve user configurable parameters
#
# Version 1.0.6 - 2020MAY24	- More efficient processing of Undo Points
#
# Version 1.0.7 - 2020NOV09	- Now handles 0" radius (trim command), better cleanup of faces
#





require 'sketchup.rb' unless Object.private_method_defined?(:file_loaded)
require 'extensions.rb' unless defined?(SketchupExtension)


module SJF
  module RadiusToolPlugin

    unless file_loaded?(__FILE__)
      ex = SketchupExtension.new('Radius Tool', 'sjf_radiustool/radiustool')
      ex.description = 'Extension for creating an arc of specified radius between two lines'
      ex.version     = '1.0.7'
      ex.copyright   = 'Jedson Technologies, S.P. © 2020'
      ex.creator     = 'Steve Frawley'
      Sketchup.register_extension(ex, true)
      file_loaded(__FILE__)
    end

  end # module RadiusToolPlugin
end # module SJF
